package com.liquidnet.service.candy.vo;

import com.liquidnet.service.candy.dto.CandyCouponRuleDto;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class CandyCouponRulesVo implements Serializable,Cloneable {

    private static final long serialVersionUID = 4073256621782131607L;

    private Integer useScope;
    private String busiName;
    private String busiId;

    private static final CandyCouponRulesVo obj = new CandyCouponRulesVo();
    public static CandyCouponRulesVo getNew() {
        try {
            return (CandyCouponRulesVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new CandyCouponRulesVo();
    }

}
